class MetasploitTasks < Thor
  include Rails.application.config.dradis.thor_helper_module

  namespace "dradis:plugins:metasploit"

  desc      "upload FILE", "upload Metasploit results in XML format"
  long_desc "This plugin expects an XML file generated by Metasploit using: db_export"\

  def upload(file_path)
    require 'config/environment'

    unless File.exist?(file_path)
      $stderr.puts "** the file [#{file_path}] does not exist"
      exit(-1)
    end

    detect_and_set_project_scope

    importer = Dradis::Plugins::Metasploit::Importer.new(task_options)
    importer.import(file: file_path)
  end

end
